<?php
Yii::setPathOfAlias('bootstrap', realpath(dirname(dirname(__FILE__)).'/extensions/bootstrap'));

// used in local/database.php
$timezone = 'Europe/Moscow';

// enable all modules
$modules = array();
foreach (glob(dirname(__FILE__).'/../modules/*', GLOB_ONLYDIR) as $moduleDir) {
	$id = basename($moduleDir);
	$modules[$id] = array('class' => 'application.modules.'.$id.'.'.ucfirst($id).'Module');
}

return array(
	/**
	 * Hardcoded language.
	 * Changes in Controller::filterSiteInitialization()
	 */
	'language' => 'ru',
	'sourceLanguage' => 'en',
	/**
	 * Hardcoded timezone.
	 * Changes in Controller::filterSiteInitialization()
	 */
	'timezone' => 'Europe/Moscow',
	'basePath' => dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name' => 'vkclone',
	'preload' => array('log'),
	'homeUrl' => array('/site/default/index'),
	'import' => array(
		'application.components.*',
		'application.models.*',
		'bootstrap.helpers.TbHtml',
	),
	'components' => array(
		'gearman' => array(
			'class' => 'ext.gearman.Gearman',
			'servers' => array(
					array('host' => '127.0.0.1'),
			),
		),
		'staticManager' => array(
			'class' => 'ext.StaticManager.StaticManager',
		),
		'authManager' => array(
			'class' => 'CDbAuthManager',
			'itemTable' => '{{auth_items}}',
			'itemChildTable' => '{{auth_items_relationships}}',
			'assignmentTable' => '{{auth_assignments}}',
			'defaultRoles' => array('user', 'author'),
		),
		'db' => Yii::getConfigurationFile('local/database'),
		'cache' => Yii::getConfigurationFile('local/caching', array('class' => 'system.caching.CFileCache')),
	),
	'modules' => $modules,
	'params' => array_merge(array(
		'onlineStatusLimit' => 15 * 60,
	), Yii::getConfigurationFile('local/params')),
);
