<?php
/**
 * Default site controller
 */
class DefaultController extends FrontEndController {

	/**
	 * allow guests see index page
	 */
	public function accessRules() {
		return array('allow');
	}

	/**
	 * The index page of all site
	 */
	public function actionIndex() {
		$this->render('index', array(
			'onlineUsers' => new CActiveDataProvider(User::model(), array(
				'criteria' => array(
					'scopes' => array('online'),
				),
				'pagination' => false,
			)),
			'offlineUsers' => new CActiveDataProvider(User::model(), array(
				'criteria' => array(
					'scopes' => array('offline'),
				),
			)),
		));
	}

	/**
	 * The error page
	 */
	public function actionError() {
		if ($error = Yii::app()->errorHandler->error) {
			if (Yii::app()->request->isAjaxRequest)
				echo $error['message'];
			else
				$this->render('error', $error);
		} else
			$this->redirect(Yii::app()->homeUrl);
	}

	/**
	 * Page that using when site is closed
	 */
	public function actionClosed() {
		if (!Settings::instance()->siteClosed)
			$this->redirect(Yii::app()->homeUrl);
		$this->render('closed', array('message' => Settings::instance()->siteClosedMessage));
	}

	public function actionSwitchTheme($returnUrl) {
		Yii::app()->user->flipPreferredTheme();
		$this->redirect(is_string($returnUrl) && !empty($returnUrl) ? $returnUrl : Yii::app()->homeUrl);
	}
}
