<?php $this->beginContent('site.views.layouts.html'); ?>
<div class="mobile_wrapper" style="margin: auto">

	<!-- header -->
	<?php if (!empty($this->pageHeader)): ?>
		<div class="blue_label">
			<?= CHtml::link(CHtml::image(Yii::app()->baseUrl.'/theme/favicon.16.png', 'home', array('class' => 'favicon_image')), Yii::app()->user->isGuest
				? array('/users/default/login')
				: array('/users/cabinet/index'))
				?>
				<strong><?= $this->pageHeader ?></strong>

				<!-- messages -->
					<?php if ($this->unreadMessages > 0): ?>
					<span class="divider">|</span> <?= CHtml::link(Yii::t('Users', '{n} unread message|{n} unread messages', array($this->unreadMessages)), array('/talks')) ?>
					<?php endif; ?>
				<!-- messages -->
				<!-- notifications -->
					<?php if ($this->unreadNotifications > 0): ?>
					<span class="divider">|</span> <?= CHtml::link(Yii::t('Users', '{n} unread notification|{n} unread notifications', array($this->unreadNotifications)), array('/users/notifications')) ?>
					<?php endif; ?>
				<!-- notifications -->
				<!-- friendship requests -->
					<?php if ($this->newFriendshipRequests > 0): ?>
					<span class="divider">|</span> <?= CHtml::link(Yii::t('Users', '{n} friendship request|{n} friendship requests', array($this->newFriendshipRequests)), array('/users/friends/requests', 'type' => 'incoming')) ?>
					<?php endif; ?>
				<!-- friendship requests -->
		</div>
	<?php endif; ?>
	<!-- header -->

	<?= $content ?>

	<!-- navigation -->
	<div class="blue_label">
		<?= CHtml::link(Yii::t('Site', 'Forums'), array('/forums')) ?> <span class="divider">|</span>
		<?= CHtml::link(Yii::t('Site', 'Audios'), array('/audios')) ?> <span class="divider">|</span>
		<?= CHtml::link(Yii::t('Site', 'Groups'), array('/groups')) ?> <span class="divider">|</span>
		<?= CHtml::link(Yii::t('Site', 'Publics'), array('/publics')) ?> <span class="divider">|</span>
		<?= CHtml::link(Yii::t('Site', 'Friends'), array('/users/friends')) ?> <span class="divider">|</span>
		<?= CHtml::link(Yii::t('Site', 'Messages'), array('/talks')) ?> <span class="divider">|</span>
		<?= CHtml::link(Yii::t('Site', 'Gallery'), array('/gallery')) ?>
	</div>
	<!-- navigation -->

	<!-- footer -->
	<div class="blue_label">
		<?= CHtml::link(Yii::t('Site', Yii::app()->name), Yii::app()->homeUrl) ?> <span class="divider">|</span>
		<?php if (!Yii::app()->user->isGuest): ?>
			<?= CHtml::link(Yii::app()->user->record->name, array('/users/user/index', 'id' => Yii::app()->user->record->id)) ?> <span class="divider">|</span> <?= CHtml::link(Yii::t('Site', 'Cabinet'), array('/users/cabinet/index')) ?>
		<?php else: ?>
			<?= CHtml::link(Yii::t('Site', 'Login'), array('/users/default/login')) ?> <span class="divider">|</span> <?= CHtml::link(Yii::t('Site', 'Registration'), array('/users/default/registration')) ?>
		<?php endif ?>
	</div>
	<!-- footer -->

	<!-- theme switcher -->
	<div class="center-aligned">
		<small><?= CHtml::link(CHtml::tag('span', array('style' => 'color: gray'), Yii::t('Site', 'Web version')), array('/site/default/switchTheme', 'returnUrl' => Yii::app()->request->requestUri)) ?></small>
	</div>
	<!-- theme switcher -->

</div>
<?php $this->endContent(); ?>
