<?php
class CabinetController extends FrontEndController {
	public function accessRules() {
		return CMap::mergeArray(array(
			array('allow',
				'actions' => array('index', 'personalInfo', 'settings'),
				'users' => array('@'),
			),
		), parent::accessRules());
	}

	/**
	 * Renders user menu
	 */
	public function actionIndex() {
		$this->render('index');
	}

	/**
	 * Renders form for changing personal information
	 */
	public function actionPersonalInfo() {
		$model = Yii::app()->user->record;
		$model->setScenario('edit');
		list($model->birth_year, $model->birth_month, $model->birth_day) = explode('-', empty($model->birth_date) ? '1970-1-1' : $model->birth_date);

		if (isset($_POST[CHtml::modelName($model)])) {
			$model->attributes = $_POST[CHtml::modelName($model)];
			if ($model->validate()) {
				$model->save();
				Yii::app()->user->setAlert(Yii::t('Users', 'Your personal info sucessfully changed'), 'success');
				$this->redirect(array('index'));
			}
		}
		$this->render('personalInfo', array(
			'model' => $model,
		));
	}

	/**
	 * Renders form for changing site settings
	 */
	public function actionSettings() {
		$model = Yii::app()->user->record;
		$model->setScenario('settings');

		if (isset($_POST[CHtml::modelName($model)])) {
			$model->attributes = $_POST[CHtml::modelName($model)];
			if ($model->validate()) {
				$model->save();
				Yii::app()->user->setAlert(Yii::t('Users', 'Your site settings sucessfully changed'), 'success');
				$this->redirect(array('index'));
			}
		}
		$this->render('settings', array(
			'model' => $model,
		));
	}
}
