<?php
$this->pageTitle = Yii::t('Users', Yii::t('Users', 'User {name}', array('{name}' => $user->name.(empty($user->patronymic) ? null : ' '.$user->patronymic))));
$this->breadcrumbs = array(
	$this->module->getMeta('name') => Yii::app()->createUrl($this->module->id.'/'.$this->module->getMeta('admin.controller')),
	Yii::t('Users', 'Users list') => array('index'),
	Yii::t('Users', 'User {name}', array('{name}' => $user->name.(empty($user->patronymic) ? null : ' '.$user->patronymic))),
);
?>

<div class="row-fluid">
	<div class="span2">
		<div class="well">
			<?php $this->module->renderAdminWidget() ?>
		</div>
		<div class="well">
			<h4><?= Yii::t('Users', 'Manage user') ?></h4>
			<?= TbHtml::navList(array(
						array('label' => Yii::t('Users', 'Update user'), 'icon' => 'pencil', 'url' => array('update', 'id' => $user->id)),
			)); ?>
		</div>
	</div>
	<div class="span8">
		<?php $this->widget('bootstrap.widgets.TbAlert', array(
				'alerts' => array(
						'success' => array('block' => true, 'fade' => true, 'closeText' => false),
				),
		)); ?>
		<h3><?= Yii::t('Users', 'User {name}', array('{name}' => $user->name.(empty($user->patronymic) ? null : ' '.$user->patronymic))) ?></h3>
		<?php $this->widget('bootstrap.widgets.TbDetailView', array(
			'data' => $user,
		)); ?>
	</div>
	<div class="span2">
		<h4><?= Yii::t('Users', 'User roles') ?></h4>
		<?php foreach (Yii::app()->authManager->getAuthItems(CAuthItem::TYPE_ROLE, $user->id) as $roleName => $role): ?>
			<?php $color = TbHtml::BADGE_COLOR_DEFAULT;
			if (($data = $role->data) !== null)
				$color = $data['color'];
			?>
			<?= TbHtml::badge($role->name, array('color' => $color)) ?>
		<?php endforeach; ?>
	</div>
</div>
