#!/bin/bash

## folders that should be writable
WRITABLE_FOLDERS=(logs public/assets public/static protected/runtime)
for folder in "${WRITABLE_FOLDERS[@]}"; do
	if ! [ -d "$folder" ]; then
		echo "Creating folder $folder ..."
		mkdir -m 777 "$folder"
	fi
	if [[ `ls -dl "$folder" | awk '{print $1}'` !=  "drwxrwxrwx" ]]; then
		echo "Chmoding $folder ..."
		chmod 777 "$folder"
	fi
done

## creating local configuration files
for example in `ls protected/config/local/*.example`; do
	file=protected/config/local/$(basename $example .example)
	if ! [ -f $file ]; then
		echo "Creating $file ..."
		cp $example $file
	fi
done
